package io.gmss.fiscad.repositories.infocad.metier;

import io.gmss.fiscad.entities.infocad.metier.Commentaire;
import io.gmss.fiscad.enums.Origine;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface CommentaireRepository extends JpaRepository<Commentaire, Long> {
    List<Commentaire> findAllByIdEnqueteAndTerminalId(Long idEnquete, Long terminalId);

    List<Commentaire> findAllByOrigineAndLuAndTerminalId(Origine origine, boolean lu, Long terminalId);

    List<Commentaire> findAllByOrigineAndSynchroniseAndTerminalId(Origine origine, boolean synchronise, Long terminalId);

    List<Commentaire> findAllByIdEnqueteAndLu(Long idEnquete, boolean lu);

    Optional<Commentaire> getCommentaireByNupParcelle(String nup);

    Optional<Commentaire> findCommentaireByExternalKey(Long externalKey);
}
